# Interface QueryOptions

Options that can be passed into tasks/query/QueryService!QueryService.query.

interface QueryOptions {
cancelToken?: CancelToken;
maxAllowableOffset?: number;
maxResults?: number;
outFields?: string[];
outSpatialReference?: SpatialReference;
returnGeometry?: boolean;
spatialFilter?: GeometryUnion;
}

#####
Index

### Properties

cancelToken?
maxAllowableOffset?
maxResults?
outFields?
outSpatialReference?
returnGeometry?
spatialFilter?

##
Properties

### `Optional` cancelToken

cancelToken?: CancelToken

An optional cancel token from a support/Cancellable!Cancellable that can be used to cancel the query.

### `Optional` maxAllowableOffset

maxAllowableOffset?: number

The maximum allowable offset used for generalizing geometries returned by the query operation.

### `Optional` maxResults

maxResults?: number

The maximum number of results to return.

### `Optional` outFields

outFields?: string[]

Fields that should be returned for each feature.

### `Optional` outSpatialReference

outSpatialReference?: SpatialReference

The spatial reference for the returned geometry.

### `Optional` returnGeometry

returnGeometry?: boolean

Whether geometry for features should be returned.

### `Optional` spatialFilter

spatialFilter?: GeometryUnion

Spatial filter used to filter search results. If specified, results are limited to features that intersect the geometry.